Bug 56623 - Reproducable segfault loop
Reproducable segfault loop
Product: Red Hat Linux
Classification: Retired
Component: bzip2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-11-22 05:20 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-22 05:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-11-22 05:20:26 EST
Description of Problem:
bzip2 can be brought into a state where it will cause an infinite loop of 
segfaults (until killed)

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. bzip2 -f /tmp

Actual Results:
Infinite segfault loop

Expected Results:
bzip2: Input file /tmp is not a normal file
Comment 1 Trond Eivind Glomsrxd 2001-11-26 14:32:15 EST
Fixed in bzip2-1.0.1-5 ("-f" bypassed checks for file being sane, I made it exit
on the file being a directory anyway).

Note You need to log in before you can comment on or make changes to this bug.